package view;

import java.applet.*;
import java.awt.*;
import java.net.*;
import java.io.*;

/**
 * A class that can produce two different sounds, one to signal winning a game
 * and another to signal losing a game.
 */
class Announcer {
    /**
     * The winning audio clip.
     */
    private AudioClip  _wonnAudio;

    /**
     * The losing audio clip.
     */
    private AudioClip _lostAudio;

    /**
     * @param owner
     */
    public Announcer() {
        try {
            _wonnAudio  = Applet.newAudioClip(new URL("file", "", "view" +
                                                File.separator + "yahoo1.au"));
            _lostAudio = Applet.newAudioClip(new URL("file", "", "view" +
                                                    File.separator + "T4.au"));
        }
        catch (Exception e)  {
            e.printStackTrace();
        }
    }

    /**
     * Play the winning sound.
     */
    public void userWon() {
        _wonnAudio.play();
    }

    /**
     * Play the losing sound.
     */
    public void userLost() {
        _lostAudio.play();
    }
}
